﻿using UnityEngine;
using UnityEngine.UI;

namespace Bonfire
{
    public class HudController : MonoBehaviour
    {
        Transform hudLeft = null;

        void Start()
        {
            Canvas canvas = GetComponent<Canvas>();
            foreach (Transform child in canvas.transform)
            {
                if (child.name == "LeftImage")
                {
                    hudLeft = child;
                }
            }
            enableHudLeft(false);
        }

        public void enableHudLeft(bool enabled)
        {
            Image image = hudLeft.GetComponent<Image>();
            image.enabled = enabled;
            foreach (Text child in hudLeft.GetComponentsInChildren<Text>())
            {
                child.enabled = enabled;
            }
        }

        public void toggleHudLeft()
        {
            Image image = hudLeft.GetComponent<Image>();
            bool enabled = !image.enabled;
            enableHudLeft(enabled);
        }

    }
}
